%% Plot ROC Curves Together
% Sparsity = 5,10,15, SNR = 20 dB, 
% Random Array and ULA
figure(1)
plot(L1SQNNR.AvgProbFA(2,2:15,3),L1SQNNR.AvgProbD(2,2:15,3),'-k.',...
     L1SQNNU.AvgProbFA(2,2:15,3),L1SQNNU.AvgProbD(2,2:15,3),'-ko',...
     L1SQNNR.AvgProbFA(5,2:15,3),L1SQNNR.AvgProbD(5,2:15,3),'-bp',...
     L1SQNNU.AvgProbFA(5,2:15,3),L1SQNNU.AvgProbD(5,2:15,3),'-bs',...
     L1SQNNR.AvgProbFA(6,2:15,3),L1SQNNR.AvgProbD(6,2:15,3),'-r*',...
     L1SQNNU.AvgProbFA(6,2:15,3),L1SQNNU.AvgProbD(6,2:15,3),'-rd')
%axis([0 Sparsity_Levels(end)]);
xlabel('Probability of False Alarm','Fontsize',12)
ylabel('Probability of Detection','Fontsize',12)
title('ROC curves for L1SQNN with Random Arrays and ULA, SNR = 20 dB','Fontsize',12)
legend('s = 5, Rand', 's = 5, ULA','s = 10, Rand','s = 10, ULA','s = 15, Rand','s = 15, ULA','Location','Best')
%set(gca,'XTick',1:15)
grid;
%%

% Sparsity = 3,6,9, SNR = 20 dB, 
% Random Array and ULA
figure(2)
plot(L1SQNNR.AvgProbFA(1,2:15,3),L1SQNNR.AvgProbD(1,2:15,3),'-k.',...
     L1SQNNU.AvgProbFA(1,2:15,3),L1SQNNU.AvgProbD(1,2:15,3),'-ko',...
     L1SQNNR.AvgProbFA(3,2:15,3),L1SQNNR.AvgProbD(3,2:15,3),'-bp',...
     L1SQNNU.AvgProbFA(3,2:15,3),L1SQNNU.AvgProbD(3,2:15,3),'-bs',...
     L1SQNNR.AvgProbFA(4,2:15,3),L1SQNNR.AvgProbD(4,2:15,3),'-r*',...
     L1SQNNU.AvgProbFA(4,2:15,3),L1SQNNU.AvgProbD(4,2:15,3),'-rd')
%axis([0 Sparsity_Levels(end)]);
xlabel('Probability of False Alarm','Fontsize',12)
ylabel('Probability of Detection','Fontsize',12)
title('ROC curves for L1SQNN with Random Arrays and ULA, SNR = 20 dB','Fontsize',12)
legend('s = 3, Rand', 's = 3, ULA','s = 6, Rand','s = 6, ULA','s = 9, Rand','s = 9, ULA','Location','Best')
%set(gca,'XTick',1:15)
grid;

%%

% Sparsity = 5,10,15, SNR = Inf dB, 
% Random Array and ULA
figure(3)
plot(L1SQNNR.AvgProbFA(2,2:15,1),L1SQNNR.AvgProbD(2,2:15,1),'-kx',...
     L1SQNNU.AvgProbFA(2,2:15,1),L1SQNNU.AvgProbD(2,2:15,1),'-bx',...
     L1SQNNR.AvgProbFA(5,2:15,1),L1SQNNR.AvgProbD(5,2:15,1),'-ko',...
     L1SQNNU.AvgProbFA(5,2:15,1),L1SQNNU.AvgProbD(5,2:15,1),'-bo',...
     L1SQNNR.AvgProbFA(6,2:15,1),L1SQNNR.AvgProbD(6,2:15,1),'-kd',...
     L1SQNNU.AvgProbFA(6,2:15,1),L1SQNNU.AvgProbD(6,2:15,1),'-bd')
%axis([0 Sparsity_Levels(end)]);
xlabel('Probability of False Alarm','Fontsize',12)
ylabel('Probability of Detection','Fontsize',12)
title('ROC curves for L1SQNN with Random Arrays and ULA, No Noise','Fontsize',12)
legend('s = 5, Rand', 's = 5, ULA','s = 10, Rand','s = 10, ULA','s = 15, Rand','s = 15, ULA','Location','Best')
%set(gca,'XTick',1:15)
grid;
