%%
% Size of the problem is 4000*8000
% Thresholds threshold=[0.0,0.0001,0.001,0.01,0.1,0.2,0.3,0.4,0.5,0.6,0.7,0.8,0.9,0.99,0.999]; 
% Load data for SNR=Inf, beta is [1.1, 1.3, 1.5, 1.7, 1.9]

%% Plot ROC Together  s=5,8,12
figure(3)
plot(L1SQNNR.AvgProbFA(1,2:15,5),L1SQNNR.AvgProbD(1,2:15,5),'-m.',...
    L1SQNNR.AvgProbFA(1,2:15,4),L1SQNNR.AvgProbD(1,2:15,4),'-g.',...
    L1SQNNR.AvgProbFA(1,2:15,3),L1SQNNR.AvgProbD(1,2:15,3),'-r.',...
    L1SQNNR.AvgProbFA(1,2:15,2),L1SQNNR.AvgProbD(1,2:15,2),'-b.',...
    L1SQNNR.AvgProbFA(1,2:15,1),L1SQNNR.AvgProbD(1,2:15,1),'-k.',...
    L1SQNNR.AvgProbFA(2,2:15,5),L1SQNNR.AvgProbD(2,2:15,5),'-mo',...
    L1SQNNR.AvgProbFA(2,2:15,4),L1SQNNR.AvgProbD(2,2:15,4),'-go',...
    L1SQNNR.AvgProbFA(2,2:15,3),L1SQNNR.AvgProbD(2,2:15,3),'-ro',...
    L1SQNNR.AvgProbFA(2,2:15,2),L1SQNNR.AvgProbD(2,2:15,2),'-bo',...
    L1SQNNR.AvgProbFA(2,2:15,1),L1SQNNR.AvgProbD(2,2:15,1),'-ko',...
    L1SQNNR.AvgProbFA(3,2:15,5),L1SQNNR.AvgProbD(3,2:15,5),'-mp',...
    L1SQNNR.AvgProbFA(3,2:15,4),L1SQNNR.AvgProbD(3,2:15,4),'-gp',...
    L1SQNNR.AvgProbFA(3,2:15,3),L1SQNNR.AvgProbD(3,2:15,3),'-rp',...
    L1SQNNR.AvgProbFA(3,2:15,2),L1SQNNR.AvgProbD(3,2:15,2),'-bp',...
    L1SQNNR.AvgProbFA(3,2:15,1),L1SQNNR.AvgProbD(3,2:15,1),'-kp')

%axis([0 Sparsity_Levels(end)]);
xlabel('Probability of False Alarm','Fontsize',12)
ylabel('Probability of Detection','Fontsize',12)
title('ROC curves for L1SQNN with Random Arrays, No Noise','Fontsize',12)
legend('\beta = 1.9','\beta = 1.7', '\beta = 1.5','\beta = 1.3','\beta = 1.1','Location','Best')
%set(gca,'XTick',1:15)
grid;
