%% SNR = 30 dB, s = {4,6,8,10,12} 
% B = 10MHz
figure(600)
subplot(2,2,1)
plot(L1SQNNR.AvgProbFA(2,2:15,1),L1SQNNR.AvgProbD(2,2:15,1),'-k.',...
     L1SQNNR.AvgProbFA(3,2:15,1),L1SQNNR.AvgProbD(3,2:15,1),'-b*',...
     L1SQNNR.AvgProbFA(4,2:15,1),L1SQNNR.AvgProbD(4,2:15,1),'-ro',...
     L1SQNNR.AvgProbFA(5,2:15,1),L1SQNNR.AvgProbD(5,2:15,1),'-gd')
%axis([0 Sparsity_Levels(end)]);
xlabel('Probability of False Alarm','Fontsize',12)
ylabel('Probability of Detection','Fontsize',12)
title({'ROC curves for L1SQNN with', 'Random Arrays, B = 10 MHz, SNR = 30 dB'},'Fontsize',15)
legend('s = 6', 's = 8', 's = 10', 's = 12','Location','Best')
%set(gca,'XTick',1:15)
grid;

% B = 15MHz
subplot(2,2,2)
plot(L1SQNNR.AvgProbFA(2,2:15,2),L1SQNNR.AvgProbD(2,2:15,2),'-k.',...
     L1SQNNR.AvgProbFA(3,2:15,2),L1SQNNR.AvgProbD(3,2:15,2),'-b*',...
     L1SQNNR.AvgProbFA(4,2:15,2),L1SQNNR.AvgProbD(4,2:15,2),'-ro',...
     L1SQNNR.AvgProbFA(5,2:15,2),L1SQNNR.AvgProbD(5,2:15,2),'-gd')
%axis([0 Sparsity_Levels(end)]);
xlabel('Probability of False Alarm','Fontsize',13)
ylabel('Probability of Detection','Fontsize',13)
title({'ROC curves for L1SQNN with', 'Random Arrays, B = 15 MHz, SNR = 30 dB'},'Fontsize',15)
legend('s = 6', 's = 8', 's = 10', 's = 12','Location','Best')
%set(gca,'XTick',1:15)
grid;

% B = 20MHz
subplot(2,2,3)
plot(L1SQNNR.AvgProbFA(2,2:15,3),L1SQNNR.AvgProbD(2,2:15,3),'-k.',...
     L1SQNNR.AvgProbFA(3,2:15,3),L1SQNNR.AvgProbD(3,2:15,3),'-b*',...
     L1SQNNR.AvgProbFA(4,2:15,3),L1SQNNR.AvgProbD(4,2:15,3),'-ro',...
     L1SQNNR.AvgProbFA(5,2:15,3),L1SQNNR.AvgProbD(5,2:15,3),'-gd')
%axis([0 Sparsity_Levels(end)]);
xlabel('Probability of False Alarm','Fontsize',15)
ylabel('Probability of Detection','Fontsize',15)
title({'ROC curves for L1SQNN with', 'Random Arrays, B = 20 MHz, SNR = 30 dB'},'Fontsize',15)
legend('s = 6', 's = 8', 's = 10', 's = 12','Location','Best')
%set(gca,'XTick',1:15)
grid;

% B = 25MHz
subplot(2,2,4)
plot(L1SQNNR.AvgProbFA(2,2:15,5),L1SQNNR.AvgProbD(2,2:15,5),'-k.',...
     L1SQNNR.AvgProbFA(3,2:15,5),L1SQNNR.AvgProbD(3,2:15,5),'-b*',...
     L1SQNNR.AvgProbFA(4,2:15,5),L1SQNNR.AvgProbD(4,2:15,5),'-ro',...
     L1SQNNR.AvgProbFA(5,2:15,5),L1SQNNR.AvgProbD(5,2:15,5),'-gd')
%axis([0 Sparsity_Levels(end)]);
xlabel('Probability of False Alarm','Fontsize',12)
ylabel('Probability of Detection','Fontsize',12)
title({'ROC curves for L1SQNN with', 'Random Arrays, B = 25 MHz, SNR = 30 dB'},'Fontsize',15)
legend('s = 6', 's = 8', 's = 10', 's = 12','Location','Best')
%set(gca,'XTick',1:15)
grid;






%% SNR = 30 dB, s = {4,6,8,10,12} 
% B=10MHz
figure(601)
subplot(2,2,1)
plot(L1SQNNR.AvgProbFA(2,2:15,1),L1SQNNR.AvgProbD(2,2:15,1),'-k.',...
     L1SQNNR.AvgProbFA(3,2:15,1),L1SQNNR.AvgProbD(3,2:15,1),'-b*',...
     L1SQNNR.AvgProbFA(4,2:15,1),L1SQNNR.AvgProbD(4,2:15,1),'-ro',...
     L1SQNNR.AvgProbFA(5,2:15,1),L1SQNNR.AvgProbD(5,2:15,1),'-gd')
%axis([0 Sparsity_Levels(end)]);
xlabel('Probability of False Alarm','Fontsize',12)
ylabel('Probability of Detection','Fontsize',12)
title({'ROC curves for L1SQNN with', 'Random Arrays, B = 10 MHz, SNR = 30 dB'},'Fontsize',15)
legend('s = 6', 's = 8', 's = 10', 's = 12','Location','Best')
%set(gca,'XTick',1:15)
grid;

% B=15MHz
subplot(2,2,2)
plot(L1SQNNR.AvgProbFA(2,2:15,2),L1SQNNR.AvgProbD(2,2:15,2),'-k.',...
     L1SQNNR.AvgProbFA(3,2:15,2),L1SQNNR.AvgProbD(3,2:15,2),'-b*',...
     L1SQNNR.AvgProbFA(4,2:15,2),L1SQNNR.AvgProbD(4,2:15,2),'-ro',...
     L1SQNNR.AvgProbFA(5,2:15,2),L1SQNNR.AvgProbD(5,2:15,2),'-gd')
%axis([0 Sparsity_Levels(end)]);
xlabel('Probability of False Alarm','Fontsize',13)
ylabel('Probability of Detection','Fontsize',13)
title({'ROC curves for L1SQNN with', 'Random Arrays, B = 15 MHz, SNR = 30 dB'},'Fontsize',15)
legend('s = 6', 's = 8', 's = 10', 's = 12','Location','Best')
%set(gca,'XTick',1:15)
grid;

% B=20MHz
subplot(2,2,3)
plot(L1SQNNR.AvgProbFA(2,2:15,3),L1SQNNR.AvgProbD(2,2:15,3),'-k.',...
     L1SQNNR.AvgProbFA(3,2:15,3),L1SQNNR.AvgProbD(3,2:15,3),'-b*',...
     L1SQNNR.AvgProbFA(4,2:15,3),L1SQNNR.AvgProbD(4,2:15,3),'-ro',...
     L1SQNNR.AvgProbFA(5,2:15,3),L1SQNNR.AvgProbD(5,2:15,3),'-gd')
%axis([0 Sparsity_Levels(end)]);
xlabel('Probability of False Alarm','Fontsize',15)
ylabel('Probability of Detection','Fontsize',15)
title({'ROC curves for L1SQNN with', 'Random Arrays, B = 20 MHz, SNR = 30 dB'},'Fontsize',15)
legend('s = 6', 's = 8', 's = 10', 's = 12','Location','Best')
%set(gca,'XTick',1:15)
grid;

% B=22MHz
subplot(2,2,4)
plot(L1SQNNR.AvgProbFA(2,2:15,4),L1SQNNR.AvgProbD(2,2:15,4),'-k.',...
     L1SQNNR.AvgProbFA(3,2:15,4),L1SQNNR.AvgProbD(3,2:15,4),'-b*',...
     L1SQNNR.AvgProbFA(4,2:15,4),L1SQNNR.AvgProbD(4,2:15,4),'-ro',...
     L1SQNNR.AvgProbFA(5,2:15,4),L1SQNNR.AvgProbD(5,2:15,4),'-gd')
%axis([0 Sparsity_Levels(end)]);
xlabel('Probability of False Alarm','Fontsize',17)
ylabel('Probability of Detection','Fontsize',17)
title({'ROC curves for L1SQNN with', 'Random Arrays, B = 22 MHz, SNR = 30 dB'},'Fontsize',15)
legend('s = 6', 's = 8', 's = 10', 's = 12','Location','Best')
%set(gca,'XTick',1:17)
grid;

%% SNR = 30 dB, s = {4,6,8,10,12} 
% B=25MHz
figure(602)
subplot(2,2,1)
plot(L1SQNNR.AvgProbFA(2,2:15,5),L1SQNNR.AvgProbD(2,2:15,5),'-k.',...
     L1SQNNR.AvgProbFA(3,2:15,5),L1SQNNR.AvgProbD(3,2:15,5),'-b*',...
     L1SQNNR.AvgProbFA(4,2:15,5),L1SQNNR.AvgProbD(4,2:15,5),'-ro',...
     L1SQNNR.AvgProbFA(5,2:15,5),L1SQNNR.AvgProbD(5,2:15,5),'-gd')
%axis([0 Sparsity_Levels(end)]);
xlabel('Probability of False Alarm','Fontsize',12)
ylabel('Probability of Detection','Fontsize',12)
title({'ROC curves for L1SQNN with', 'Random Arrays, B = 25 MHz, SNR = 30 dB'},'Fontsize',15)
legend('s = 6', 's = 8', 's = 10', 's = 12','Location','Best')
%set(gca,'XTick',1:15)
grid;

% B=27MHz
subplot(2,2,2)
plot(L1SQNNR.AvgProbFA(2,2:15,6),L1SQNNR.AvgProbD(2,2:15,6),'-k.',...
     L1SQNNR.AvgProbFA(3,2:15,6),L1SQNNR.AvgProbD(3,2:15,6),'-b*',...
     L1SQNNR.AvgProbFA(4,2:15,6),L1SQNNR.AvgProbD(4,2:15,6),'-ro',...
     L1SQNNR.AvgProbFA(5,2:15,6),L1SQNNR.AvgProbD(5,2:15,6),'-gd')
%axis([0 Sparsity_Levels(end)]);
xlabel('Probability of False Alarm','Fontsize',13)
ylabel('Probability of Detection','Fontsize',13)
title({'ROC curves for L1SQNN with', 'Random Arrays, B = 27 MHz, SNR = 30 dB'},'Fontsize',15)
legend('s = 6', 's = 8', 's = 10', 's = 12','Location','Best')
%set(gca,'XTick',1:15)
grid;

% B=30MHz
subplot(2,2,3)
plot(L1SQNNR.AvgProbFA(2,2:15,7),L1SQNNR.AvgProbD(2,2:15,7),'-k.',...
     L1SQNNR.AvgProbFA(3,2:15,7),L1SQNNR.AvgProbD(3,2:15,7),'-b*',...
     L1SQNNR.AvgProbFA(4,2:15,7),L1SQNNR.AvgProbD(4,2:15,7),'-ro',...
     L1SQNNR.AvgProbFA(5,2:15,7),L1SQNNR.AvgProbD(5,2:15,7),'-gd')
%axis([0 Sparsity_Levels(end)]);
xlabel('Probability of False Alarm','Fontsize',15)
ylabel('Probability of Detection','Fontsize',15)
title({'ROC curves for L1SQNN with', 'Random Arrays, B = 30 MHz, SNR = 30 dB'},'Fontsize',15)
legend('s = 6', 's = 8', 's = 10', 's = 12','Location','Best')
%set(gca,'XTick',1:15)
grid;

% B=35MHz
subplot(2,2,4)
plot(L1SQNNR.AvgProbFA(2,2:15,8),L1SQNNR.AvgProbD(2,2:15,8),'-k.',...
     L1SQNNR.AvgProbFA(3,2:15,8),L1SQNNR.AvgProbD(3,2:15,8),'-b*',...
     L1SQNNR.AvgProbFA(4,2:15,8),L1SQNNR.AvgProbD(4,2:15,8),'-ro',...
     L1SQNNR.AvgProbFA(5,2:15,8),L1SQNNR.AvgProbD(5,2:15,8),'-gd')
%axis([0 Sparsity_Levels(end)]);
xlabel('Probability of False Alarm','Fontsize',17)
ylabel('Probability of Detection','Fontsize',17)
title({'ROC curves for L1SQNN with', 'Random Arrays, B = 35 MHz, SNR = 30 dB'},'Fontsize',15)
legend('s = 6', 's = 8', 's = 10', 's = 12','Location','Best')
%set(gca,'XTick',1:17)
grid;






%% SNR = 30 dB, s = {4,6,8,10,12} B=10MHz
figure(610)
plot(L1SQNNR.AvgProbFA(1,2:15,1),L1SQNNR.AvgProbD(1,2:15,1),'-k.',...
     L1SQNNR.AvgProbFA(2,2:15,1),L1SQNNR.AvgProbD(2,2:15,1),'-b*',...
     L1SQNNR.AvgProbFA(3,2:15,1),L1SQNNR.AvgProbD(3,2:15,1),'-ro',...
     L1SQNNR.AvgProbFA(4,2:15,1),L1SQNNR.AvgProbD(4,2:15,1),'-gd',...
     L1SQNNR.AvgProbFA(5,2:15,1),L1SQNNR.AvgProbD(5,2:15,1),'-mx')
%axis([0 Sparsity_Levels(end)]);
xlabel('Probability of False Alarm','Fontsize',12)
ylabel('Probability of Detection','Fontsize',12)
title('ROC curves for L1SQNN with Random Arrays, B = 10 MHz, SNR = 30 dB','Fontsize',12)
legend('s = 4','s = 6', 's = 8','s = 10', 's = 12' ,'Location','Best')
%set(gca,'XTick',1:15)
grid;

%% SNR = 30 dB, s = {4,6,8,10,12} B=15MHz
figure(611)
plot(L1SQNNR.AvgProbFA(1,2:15,2),L1SQNNR.AvgProbD(1,2:15,2),'-k.',...
     L1SQNNR.AvgProbFA(2,2:15,2),L1SQNNR.AvgProbD(2,2:15,2),'-b*',...
     L1SQNNR.AvgProbFA(3,2:15,2),L1SQNNR.AvgProbD(3,2:15,2),'-ro',...
     L1SQNNR.AvgProbFA(4,2:15,2),L1SQNNR.AvgProbD(4,2:15,2),'-gd',...
     L1SQNNR.AvgProbFA(5,2:15,2),L1SQNNR.AvgProbD(5,2:15,2),'-mx')
%axis([0 Sparsity_Levels(end)]);
xlabel('Probability of False Alarm','Fontsize',12)
ylabel('Probability of Detection','Fontsize',12)
title('ROC curves for L1SQNN with Random Arrays, B = 15 MHz, SNR = 30 dB','Fontsize',12)
legend('s = 4','s = 6', 's = 8','s = 10', 's = 12' ,'Location','Best')
%set(gca,'XTick',1:15)
grid;

%% SNR = 30 dB, s = {4,6,8,10,12} B=20MHz
figure(612)
plot(L1SQNNR.AvgProbFA(1,2:15,3),L1SQNNR.AvgProbD(1,2:15,3),'-k.',...
     L1SQNNR.AvgProbFA(2,2:15,3),L1SQNNR.AvgProbD(2,2:15,3),'-b*',...
     L1SQNNR.AvgProbFA(3,2:15,3),L1SQNNR.AvgProbD(3,2:15,3),'-ro',...
     L1SQNNR.AvgProbFA(4,2:15,3),L1SQNNR.AvgProbD(4,2:15,3),'-gd',...
     L1SQNNR.AvgProbFA(5,2:15,3),L1SQNNR.AvgProbD(5,2:15,3),'-mx')
%axis([0 Sparsity_Levels(end)]);
xlabel('Probability of False Alarm','Fontsize',12)
ylabel('Probability of Detection','Fontsize',12)
title('ROC curves for L1SQNN with Random Arrays, B= 20 MHz, SNR = 30 dB','Fontsize',12)
legend('s = 4','s = 6', 's = 8','s = 10', 's = 12' ,'Location','Best')
%set(gca,'XTick',1:15)
grid;

%% SNR = 30 dB, s = {4,6,8,10,12} B=22MHz
figure(613)
plot(L1SQNNR.AvgProbFA(1,2:15,4),L1SQNNR.AvgProbD(1,2:15,4),'-k.',...
     L1SQNNR.AvgProbFA(2,2:15,4),L1SQNNR.AvgProbD(2,2:15,4),'-b*',...
     L1SQNNR.AvgProbFA(3,2:15,4),L1SQNNR.AvgProbD(3,2:15,4),'-ro',...
     L1SQNNR.AvgProbFA(4,2:15,4),L1SQNNR.AvgProbD(4,2:15,4),'-gd',...
     L1SQNNR.AvgProbFA(5,2:15,4),L1SQNNR.AvgProbD(5,2:15,4),'-mx')
%axis([0 Sparsity_Levels(end)]);
xlabel('Probability of False Alarm','Fontsize',12)
ylabel('Probability of Detection','Fontsize',12)
title('ROC curves for L1SQNN with Random Arrays, B = 22 MHz, SNR = 30 dB','Fontsize',12)
legend('s = 4','s = 6', 's = 8','s = 10', 's = 12' ,'Location','Best')
%set(gca,'XTick',1:15)
grid;

%% SNR = 30 dB, s = {4,6,8,10,12} B=25MHz
figure(614)
plot(L1SQNNR.AvgProbFA(1,2:15,5),L1SQNNR.AvgProbD(1,2:15,5),'-k.',...
     L1SQNNR.AvgProbFA(2,2:15,5),L1SQNNR.AvgProbD(2,2:15,5),'-b*',...
     L1SQNNR.AvgProbFA(3,2:15,5),L1SQNNR.AvgProbD(3,2:15,5),'-ro',...
     L1SQNNR.AvgProbFA(4,2:15,5),L1SQNNR.AvgProbD(4,2:15,5),'-gd',...
     L1SQNNR.AvgProbFA(5,2:15,5),L1SQNNR.AvgProbD(5,2:15,5),'-mx')
%axis([0 Sparsity_Levels(end)]);
xlabel('Probability of False Alarm','Fontsize',12)
ylabel('Probability of Detection','Fontsize',12)
title('ROC curves for L1SQNN with Random Arrays, B = 25 MHz, SNR = 30 dB','Fontsize',12)
legend('s = 4','s = 6', 's = 8','s = 10', 's = 12' ,'Location','Best')
%set(gca,'XTick',1:15)
grid;

%% SNR = 30 dB, s = {4,6,8,10,12} B=27MHz
figure(615)
plot(L1SQNNR.AvgProbFA(1,2:15,6),L1SQNNR.AvgProbD(1,2:15,6),'-k.',...
     L1SQNNR.AvgProbFA(2,2:15,6),L1SQNNR.AvgProbD(2,2:15,6),'-b*',...
     L1SQNNR.AvgProbFA(3,2:15,6),L1SQNNR.AvgProbD(3,2:15,6),'-ro',...
     L1SQNNR.AvgProbFA(4,2:15,6),L1SQNNR.AvgProbD(4,2:15,6),'-gd',...
     L1SQNNR.AvgProbFA(5,2:15,6),L1SQNNR.AvgProbD(5,2:15,6),'-mx')
%axis([0 Sparsity_Levels(end)]);
xlabel('Probability of False Alarm','Fontsize',12)
ylabel('Probability of Detection','Fontsize',12)
title('ROC curves for L1SQNN with Random Arrays, B = 27 MHz, SNR = 30 dB','Fontsize',12)
legend('s = 4','s = 6', 's = 8','s = 10', 's = 12' ,'Location','Best')
%set(gca,'XTick',1:16)
grid;

%% SNR = 30 dB, s = {4,6,8,10,12} B=30MHz
figure(616)
plot(L1SQNNR.AvgProbFA(1,2:15,7),L1SQNNR.AvgProbD(1,2:15,7),'-k.',...
     L1SQNNR.AvgProbFA(2,2:15,7),L1SQNNR.AvgProbD(2,2:15,7),'-b*',...
     L1SQNNR.AvgProbFA(3,2:15,7),L1SQNNR.AvgProbD(3,2:15,7),'-ro',...
     L1SQNNR.AvgProbFA(4,2:15,7),L1SQNNR.AvgProbD(4,2:15,7),'-gd',...
     L1SQNNR.AvgProbFA(5,2:15,7),L1SQNNR.AvgProbD(5,2:15,7),'-mx')
%axis([0 Sparsity_Levels(end)]);
xlabel('Probability of False Alarm','Fontsize',12)
ylabel('Probability of Detection','Fontsize',12)
title('ROC curves for L1SQNN with Random Arrays, B = 30 MHz, SNR = 30 dB','Fontsize',12)
legend('s = 4','s = 6', 's = 8','s = 10', 's = 12' ,'Location','Best')
%set(gca,'XTick',1:17)
grid;

%% SNR = 30 dB, s = {4,6,8,10,12} B=35MHz
figure(617)
plot(L1SQNNR.AvgProbFA(1,2:15,8),L1SQNNR.AvgProbD(1,2:15,8),'-k.',...
     L1SQNNR.AvgProbFA(2,2:15,8),L1SQNNR.AvgProbD(2,2:15,8),'-b*',...
     L1SQNNR.AvgProbFA(3,2:15,8),L1SQNNR.AvgProbD(3,2:15,8),'-ro',...
     L1SQNNR.AvgProbFA(4,2:15,8),L1SQNNR.AvgProbD(4,2:15,8),'-gd',...
     L1SQNNR.AvgProbFA(5,2:15,8),L1SQNNR.AvgProbD(5,2:15,8),'-mx')
%axis([0 Sparsity_Levels(end)]);
xlabel('Probability of False Alarm','Fontsize',12)
ylabel('Probability of Detection','Fontsize',12)
title('ROC curves for L1SQNN with Random Arrays, B = 35 MHz, SNR = 30 dB','Fontsize',12)
legend('s = 4','s = 6', 's = 8','s = 10', 's = 12' ,'Location','Best')
%set(gca,'XTick',1:17)
grid;






%% Plot ROC Together SNR = 30 dB, s= 3, B=[10e6 12e6 15e6 18e6 20e6 30e6 35e6]
figure(620)
plot(L1SQNNR.AvgProbFA(1,2:15,1),L1SQNNR.AvgProbD(1,2:15,1),'-k.',...
     L1SQNNR.AvgProbFA(1,2:15,2),L1SQNNR.AvgProbD(1,2:15,2),'-b*',...
     L1SQNNR.AvgProbFA(1,2:15,3),L1SQNNR.AvgProbD(1,2:15,3),'-ro',...
     L1SQNNR.AvgProbFA(1,2:15,4),L1SQNNR.AvgProbD(1,2:15,4),'-gd',...
     L1SQNNR.AvgProbFA(1,2:15,5),L1SQNNR.AvgProbD(1,2:15,5),'-mx',...
     L1SQNNR.AvgProbFA(1,2:15,6),L1SQNNR.AvgProbD(1,2:15,6),'-c+',...
     L1SQNNR.AvgProbFA(1,2:15,7),L1SQNNR.AvgProbD(1,2:15,7),'-y^')
%axis([0 Sparsity_Levels(end)]);
xlabel('Probability of False Alarm','Fontsize',12)
ylabel('Probability of Detection','Fontsize',12)
title({'ROC curves for L1SQNN with','Random Arrays, s = 3, SNR = 30 dB'},'Fontsize',12)
legend('B = 10','B = 12', 'B = 15','B = 18', 'B = 20', 'B = 30', 'B = 35' ,'Location','Best')
%set(gca,'XTick',1:15)
grid;

%% SNR = 30 dB, s= 4, B=[10e6 12e6 15e6 18e6 20e6 30e6 35e6]
figure(621)
plot(L1SQNNR.AvgProbFA(2,2:15,1),L1SQNNR.AvgProbD(2,2:15,1),'-k.',...
     L1SQNNR.AvgProbFA(2,2:15,2),L1SQNNR.AvgProbD(2,2:15,2),'-b*',...
     L1SQNNR.AvgProbFA(2,2:15,3),L1SQNNR.AvgProbD(2,2:15,3),'-ro',...
     L1SQNNR.AvgProbFA(2,2:15,4),L1SQNNR.AvgProbD(2,2:15,4),'-gd',...
     L1SQNNR.AvgProbFA(2,2:15,5),L1SQNNR.AvgProbD(2,2:15,5),'-mx',...
     L1SQNNR.AvgProbFA(2,2:15,6),L1SQNNR.AvgProbD(2,2:15,6),'-c+',...
     L1SQNNR.AvgProbFA(2,2:15,7),L1SQNNR.AvgProbD(2,2:15,7),'-y^')
%axis([0 Sparsity_Levels(end)]);
xlabel('Probability of False Alarm','Fontsize',12)
ylabel('Probability of Detection','Fontsize',12)
title({'ROC curves for L1SQNN with','Random Arrays, s = 4, SNR = 30 dB'},'Fontsize',12)
legend('B = 10','B = 12', 'B = 15','B = 18', 'B = 20', 'B = 30', 'B = 35' ,'Location','Best')
%set(gca,'XTick',1:15)
grid;

%% SNR = 30 dB, s= 5, B=[10e6 12e6 15e6 18e6 20e6 30e6 35e6]
figure(622)
plot(L1SQNNR.AvgProbFA(3,2:15,1),L1SQNNR.AvgProbD(3,2:15,1),'-k.',...
     L1SQNNR.AvgProbFA(3,2:15,2),L1SQNNR.AvgProbD(3,2:15,2),'-b*',...
     L1SQNNR.AvgProbFA(3,2:15,3),L1SQNNR.AvgProbD(3,2:15,3),'-ro',...
     L1SQNNR.AvgProbFA(3,2:15,4),L1SQNNR.AvgProbD(3,2:15,4),'-gd',...
     L1SQNNR.AvgProbFA(3,2:15,5),L1SQNNR.AvgProbD(3,2:15,5),'-mx',...
     L1SQNNR.AvgProbFA(3,2:15,6),L1SQNNR.AvgProbD(3,2:15,6),'-c+',...
     L1SQNNR.AvgProbFA(3,2:15,7),L1SQNNR.AvgProbD(3,2:15,7),'-y^')
%axis([0 Sparsity_Levels(end)]);
xlabel('Probability of False Alarm','Fontsize',12)
ylabel('Probability of Detection','Fontsize',12)
title({'ROC curves for L1SQNN with','Random Arrays, s = 5, SNR = 30 dB'},'Fontsize',12)
legend('B = 10','B = 12', 'B = 15','B = 18', 'B = 20', 'B = 30', 'B = 35' ,'Location','Best')
%set(gca,'XTick',1:15)
grid;


%% SNR = 30 dB, s= 6, B=[10e6 12e6 15e6 18e6 20e6 30e6 35e6]
figure(623)
plot(L1SQNNR.AvgProbFA(4,2:15,1),L1SQNNR.AvgProbD(4,2:15,1),'-k.',...
     L1SQNNR.AvgProbFA(4,2:15,2),L1SQNNR.AvgProbD(4,2:15,2),'-b*',...
     L1SQNNR.AvgProbFA(4,2:15,3),L1SQNNR.AvgProbD(4,2:15,3),'-ro',...
     L1SQNNR.AvgProbFA(4,2:15,4),L1SQNNR.AvgProbD(4,2:15,4),'-gd',...
     L1SQNNR.AvgProbFA(4,2:15,5),L1SQNNR.AvgProbD(4,2:15,5),'-mx',...
     L1SQNNR.AvgProbFA(4,2:15,6),L1SQNNR.AvgProbD(4,2:15,6),'-c+',...
     L1SQNNR.AvgProbFA(4,2:15,7),L1SQNNR.AvgProbD(4,2:15,7),'-y^')
%axis([0 Sparsity_Levels(end)]);
xlabel('Probability of False Alarm','Fontsize',12)
ylabel('Probability of Detection','Fontsize',12)
title({'ROC curves for L1SQNN with','Random Arrays, s = 6, SNR = 30 dB'},'Fontsize',12)
legend('B = 10','B = 12', 'B = 15','B = 18', 'B = 20', 'B = 30', 'B = 35' ,'Location','Best')
%set(gca,'XTick',1:15)
grid;

%% SNR = 30 dB, s= 8, B=[10e6 12e6 15e6 18e6 20e6 30e6 35e6]
figure(624)
plot(L1SQNNR.AvgProbFA(5,2:15,1),L1SQNNR.AvgProbD(5,2:15,1),'-k.',...
     L1SQNNR.AvgProbFA(5,2:15,2),L1SQNNR.AvgProbD(5,2:15,2),'-b*',...
     L1SQNNR.AvgProbFA(5,2:15,3),L1SQNNR.AvgProbD(5,2:15,3),'-ro',...
     L1SQNNR.AvgProbFA(5,2:15,4),L1SQNNR.AvgProbD(5,2:15,4),'-gd',...
     L1SQNNR.AvgProbFA(5,2:15,5),L1SQNNR.AvgProbD(5,2:15,5),'-mx',...
     L1SQNNR.AvgProbFA(5,2:15,6),L1SQNNR.AvgProbD(5,2:15,6),'-c+',...
     L1SQNNR.AvgProbFA(5,2:15,7),L1SQNNR.AvgProbD(5,2:15,7),'-y^')
%axis([0 Sparsity_Levels(end)]);
xlabel('Probability of False Alarm','Fontsize',12)
ylabel('Probability of Detection','Fontsize',12)
title({'ROC curves for L1SQNN with','Random Arrays, s = 8, SNR = 30 dB'},'Fontsize',12)
legend('B = 10','B = 12', 'B = 15','B = 18', 'B = 20', 'B = 30', 'B = 35' ,'Location','Best')
%set(gca,'XTick',1:15)
grid;


