function [ p,q ] = AntennaPositionRandom(M,N)
% Generate the random locations of the M transmit antennas
% and the N receive antennas. Uniform Random Distribution.
% Michael F Minner

 L=N*M/2;              % locations of antennas
 p1=sort(L.*rand(M,1)); % p are transmit antenna locations
 q1=sort(L.*rand(N,1)); % q are receive antenna locations

% distances between antennas
p=p1-p1(1);
q=q1-q1(1);

end

