function [ p,q] = AntennaPositionUniform(M,N,lambda)
% Generate the random locations of the M transmit antennas
% and the N receive antennas. Uniform Linear Array.
% Michael F Minner

% ULA 
p1=2*N*lambda*(1:M).';  % p are transmit antenna locations
q1=lambda*(1:N).';      % q are receive antenna locations
% p1=2*lambda*(1:M);  % p are transmit antenna locations
% q1=lambda*(1:N);    % q are receive antenna locations
% distances between antennas
p=p1-p1(1);
q=q1-q1(1);