function [k] = SceneLocate(ii,jj,kk,U,V,W)
% ii,jj,kk is the current grid location
% U is the number of Azimuth bins
% V is the number of Range bins
% W is the number of Doppler bins
% Michael F Minner

k=kk+(jj-1).*W+(ii-1).*(V*W);   % position in U*V*W scene vector

end